Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy
Interface Outputable

All Known Implementing Classes:
  EventDispatcher, EventTool, FrameWaiter, ObjectBrowser, QueueTool, Test, Waiter, ComponentSearcher, DialogWaiter, TrialListenerManager, Operator, ComponentOperator, ContainerOperator, JComponentOperator, AbstractButtonOperator, JMenuItemOperator, WindowOperator, FrameOperator, TextComponentOperator, JSliderOperator, JListOperator, TextAreaOperator, JTextComponentOperator, JProgressBarOperator, TextFieldOperator, JSpinnerOperator, JTextAreaOperator, ButtonOperator, JColorChooserOperator, ScrollbarOperator, JTableHeaderOperator, JMenuBarOperator, JComboBoxOperator, JTreeOperator, JScrollBarOperator, CheckboxOperator, JSplitPaneOperator, ChoiceOperator, JMenuOperator, JTableOperator, ScrollPaneOperator, JPopupMenuOperator, JInternalFrameOperator, JInternalFrameOperator.JDesktopIconOperator, ListOperator, JTabbedPaneOperator, JScrollPaneOperator, JFileChooserOperator, PropChooser, WindowManager

public interface Outputable

Communicate the identity of the output streams or writers used by the application. Communicate the identity of the input stream, too. Any object with methods that generates print output should implement this interface.

Author:
  Alexandre Iline (alexandre.iline@sun.com)
See Also:
  `TestOut`

Method Summary
`TestOut` | `getOutput()` Returns print output streams or writers.
`void` | `setOutput(TestOut out)` Defines print output streams or writers.

Method Detail

### setOutput

    public void setOutput(TestOut out)

  Defines print output streams or writers.
  Parameters:
    `out` - Identify the streams or writers used for print output.
  See Also:
    `getOutput()`

### getOutput

    public TestOut getOutput()

  Returns print output streams or writers.
  Returns:
    an object that contains references to objects for printing to output and err streams.
  See Also:
    `setOutput(org.netbeans.jemmy.TestOut)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD